/**
 * @license
 * Copyright 2023 Tyler Technologies, Inc. 
 * License: Apache-2.0
 */
import { IChipFieldComponent } from './chip-field';
import { FieldAdapter, IFieldAdapter } from '../field/field-adapter';
export interface IChipFieldAdapter extends IFieldAdapter {
    addRootListener(type: string, callback: (event: Event) => void): void;
    removeRootListener(type: string, callback: (event: Event) => void): void;
    addMemberSlotListener(listener: (evt: Event) => void): void;
    removeMemberSlotListener(listener: (evt: Event) => void): void;
    addInputContainerListener(type: string, callback: (event: Event) => void): void;
    removeInputContainerListener(type: string, callback: (event: Event) => void): void;
    getSlottedMemberElements(): NodeListOf<HTMLElement>;
    focusInput(): void;
    tryPropagateClick(target: EventTarget | null): void;
}
export declare class ChipFieldAdapter extends FieldAdapter implements IChipFieldAdapter {
    protected _memberSlot: HTMLSlotElement;
    protected _inputContainerElement: HTMLElement;
    constructor(component: IChipFieldComponent);
    initialize(): void;
    addRootListener(type: string, callback: (event: Event) => void): void;
    removeRootListener(type: string, callback: (event: Event) => void): void;
    addMemberSlotListener(listener: (evt: Event) => void): void;
    removeMemberSlotListener(listener: (evt: Event) => void): void;
    addInputContainerListener(type: string, callback: (event: Event) => void): void;
    removeInputContainerListener(type: string, callback: (event: Event) => void): void;
    fieldHasValue(): boolean;
    focusInput(): void;
    tryPropagateClick(target: EventTarget | null): void;
    getSlottedMemberElements(): NodeListOf<HTMLElement>;
}
